Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.pcx
Class PCXImage

    java.lang.Object
      |
      +--com.sun.jimi.core.decoder.pcx.PCXImage

public class PCXImage
extends java.lang.Object

Constructor Summary
`PCXImage(LEDataInputStream dis, PCXHeader header)`

Method Summary
`void` | `get16ColorPCX(LEDataInputStream dis)`
`void` | `get256ColorPCX(LEDataInputStream dis)`
`int` | `getBitCount()`
`int` | `getBytesPerLine()`
`int` | `getHeight()`
`byte[]` | `getImageData()`
`void` | `getPCXRow(LEDataInputStream dis, byte[] pcxRow, int bytesPerLineTotal)`
`void` | `getTrueColorPCX(LEDataInputStream dis)`
`int` | `getWidth()`
`void` | `pcxPlanesToPixels(byte[] pixels, byte[] bitplanes)`
`void` | `pcxUnpackPixels(byte[] unpacked, byte[] source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCXImage

    public PCXImage(LEDataInputStream dis,
                    PCXHeader header)
             throws java.io.IOException

Method Detail

### get16ColorPCX

    public void get16ColorPCX(LEDataInputStream dis)
                       throws java.io.IOException

### getPCXRow

    public void getPCXRow(LEDataInputStream dis,
                          byte[] pcxRow,
                          int bytesPerLineTotal)

### pcxUnpackPixels

    public void pcxUnpackPixels(byte[] unpacked,
                                byte[] source)

### pcxPlanesToPixels

    public void pcxPlanesToPixels(byte[] pixels,
                                  byte[] bitplanes)

### get256ColorPCX

    public void get256ColorPCX(LEDataInputStream dis)

### getTrueColorPCX

    public void getTrueColorPCX(LEDataInputStream dis)

### getBytesPerLine

    public int getBytesPerLine()

### getImageData

    public byte[] getImageData()

### getBitCount

    public int getBitCount()

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD